/*
Theme Name: J&M Marine Construction
Theme URI: #
Description:  Nexiby LLC Quick Start Pack for Elementor is a child theme of Hello Elementor, created by Nexiby LLC.
Author: Atiqur Rahman
Author URI: https://www.linkedin.com/in/devatiq/
Template: hello-elementor
Version: 1.0.0
Text Domain: Nexiby
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: Atiqur Rahman, Nexiby LLC, Elementor, Hello Elementor, Child Theme, Hello Elementor Child, Nexiby LLC quick start pack for elementor project
*/

/* Add your custom styles here */



*, ::before, ::after {
  box-sizing: border-box; /* Ensures padding and borders are included in element's total width/height */
}

/* Optional: Removes default margin from most elements for better control */
body, h1, h2, h3, h4, p, figure, blockquote, dl, dd {
  margin: 0;
}

/* Optional: Removes list styles on ul, ol elements with a list role */
ul[role='list'], ol[role='list'] {
  list-style: none;
}

/* Optional: Ensures images are responsive */
/* img {
  max-width: 100%;
  display: block;
} */

/* Optional: Ensures form elements inherit font properties */
input, button, select, textarea {
  font: inherit;
}

/* Styles are here */

.jm-glass-list-item li {
    display: inline-flex;
    align-items: center;
    padding: 6px 16px !important;
    border-radius: 9999px;
    background-color: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border: 1px solid rgba(255, 255, 255, 0.15);
    transition: all 0.7s ease-in-out;
    opacity: 1;
    transform: translateY(0);
}

.jm-glass-list-item li:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

.jm-glass-icon .elementor-icon{


    background-color: rgba(255, 255, 255, 0.15); /* bg-white/15 */
    backdrop-filter: blur(8px); /* backdrop-blur-sm */
    -webkit-backdrop-filter: blur(8px);

    border: 1px solid rgba(255, 255, 255, 0.2); /* border-white/20 */

    transition: background-color 0.3s ease; /* transition-colors duration-300 */
}
	








/* JM Hover Card 1 */
/* P & A */
.jm-hover-card p{
	opacity:0;
	transform:translatey(5px);	
	transition:all 0.3s ease-in-out;
}

.jm-hover-card:hover p{
	opacity:1;
	transform:translatey(0px);	
}

/* img */
.jm-hover-card img ,  .jm-hover-card-img img{
	transition:all 0.3s ease-in-out;
}

.jm-hover-card:hover img , .jm-hover-card-img:hover img{
	transform:scale(1.05);
}
/* HR */
.jm-hover-card hr{
	transition:all 0.3s ease-in-out;
}
.jm-hover-card:hover hr{
	width:80px;
}






/* Contact Form  */
.jm-contact-form_wrapper .gform_heading{
	margin-bottom:20px;
}
.jm-contact-form label{
	font-weight : 400;
	font-size: 14px;
	font-family: "DM Sans", sans-serif !important;
	color : rgb(74, 85, 104); !important;

	text-transform:uppercase
}
.jm-contact-form label.gfield_consent_label{
/* 	text-transform: unset; */
}
.jm-contact-form input, .jm-contact-form textarea , .jm-contact-form select {
		outline:none !important;
  box-shadow: none !important;
border-radius: 5px !important;
}

.jm-contact-form input:not([type="submit"]):not([type="checkbox"]) , .jm-contact-form textarea , .jm-contact-form select {
  /* your styles here */
	font-size: 1rem !important;
	color: #0d2137 !important;
	padding: 4px 12px;
	background-color: #fff;

	border: 1px solid #4a556866;
	  
}
.jm-contact-form input:not([type="submit"])::placeholder , .jm-contact-form textarea::placeholder , .jm-contact-form select::placeholder {
	color:#4a556866;
}

.jm-contact-form input:not([type="submit"]):not([type="checkbox"]),
.jm-contact-form textarea , .jm-contact-form select {
  min-height: 50px;
}


.jm-contact-form select {
	display:flex;
	align-items:center;
}


.jm-contact-form input:not([type="submit"]):focus , .jm-contact-form textarea:focus{
	border-color: #1A6E82 !important;
}


.jm-contact-form input[type="submit"] {
	font-size:16px !important;
  width: 100% !important;
/* 	text-transform: uppercase !important; */
	color: #ffffff;
	background-color:#1a6e82 !important;
	padding-top:16px !important;
	padding-bottom: 16px !important;
/* 	border: 1px solid #9F7B37B2 !important; */
		font-family: "DM Sans", sans-serif !important;
}

.jm-contact-form input[type="submit"]:hover{
	background-color : #155a6b !important;
}



